import Vue, { VNode, CreateElement } from 'vue';
import { TreeConfig } from '../config-provider/config-receiver';
import TreeNode from '../_common/js/tree/tree-node';
import { TypeEventState } from './interface';
import { ClassName } from '../common';
export declare const TreeItemProps: {
    nested: {
        type: BooleanConstructor;
        default: boolean;
    };
    node: {
        type: ObjectConstructor;
    };
    treeScope: {
        type: ObjectConstructor;
    };
    proxyScope: {
        type: ObjectConstructor;
    };
};
declare const TreeItem: import("vue/types/vue").ExtendedVue<{
    keepAnimation: {
        ripple: boolean;
        expand: boolean;
        fade: boolean;
    };
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: TreeConfig;
}, {
    data: any;
    $clicked: boolean;
    $nodesMap: any;
}, {
    getStyles(): string;
    getClassList(): ClassName;
    renderLine(createElement: CreateElement): VNode;
    getFolderIcon(): import("vue/types/vnode").ScopedSlotReturnValue;
    renderIcon(createElement: CreateElement): VNode;
    renderLabel(createElement: CreateElement): VNode;
    renderOperations(createElement: CreateElement): VNode;
    renderItem(createElement: CreateElement): Array<VNode>;
    handleClick(evt: MouseEvent): void;
    handleChange(): void;
    proxyClick(state: TypeEventState): void;
    proxyChange(state: TypeEventState): void;
    getNestedItem(node: TreeNode): JSX.Element;
    getChildNodes(): any[];
}, unknown, {
    nested: boolean;
    node: any;
    treeScope: any;
    proxyScope: any;
}>;
export default TreeItem;
